Bug 121934 - Installer freezes on uninitialised boot record
Installer freezes on uninitialised boot record
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 03:56 EDT by Phil Anderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-05 12:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2004-04-29 03:56:20 EDT
Description of problem:
The installer freezed up (10 minutes) looking for existing fedora
installations when the MBR is stuffed.

Version-Release number of selected component (if applicable):
FC2 Test 3

How reproducible:
Every time

Steps to Reproduce:
1. Boot into single user mode, all disks read only
2. dd if=diskboot.img of=/dev/hda
3. Reset machine
4. Start installation
Actual results:
Installation freezes when searching for existing installations.  If
you kill -9 the lvm process which is searching, installation continues.

Expected results:
It should detect that something is dodgey, and continue.

Additional info:
The reason I'm installing like this, is cause I have a lab of old
Pentiums which i use as X-Terminals.  They don't have CDROMS, and the
BIOS won't boot of USB key.  Apart from the search for existing
partitions, the install works perfectly.
Comment 1 Alasdair Kergon 2004-12-21 12:18:24 EST
If recent changes haven't already fixed this, I hope the next release
(2.00.32) will.

Note You need to log in before you can comment on or make changes to this bug.